Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.xml
Class ProxyResolutionService

    java.lang.Object
      org.openxri.xml.Service
          org.openxri.xml.ProxyResolutionService

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ProxyResolutionService

extends Service

This is Proxy Resolution Service.

Author:
  =peacekeeper
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `REFS_SEPARATOR`
`static java.lang.String` | `SEP_SEPARATOR`
`static java.lang.String[]` | `SERVICE_MEDIA_TYPES`
`static java.lang.String` | `SERVICE_TYPE`
`static java.lang.String` | `TRUST_TYPE_SEPARATOR`
`static java.lang.Integer` | `URI_PRIORITY_DEFAULT`
`static java.lang.Integer` | `URI_PRIORITY_HTTPS`

Constructor Summary
`ProxyResolutionService(java.net.URI proxy)`
`ProxyResolutionService(java.net.URI[] proxies)`
`ProxyResolutionService(java.net.URI[] proxies, java.lang.String providerId)`
`ProxyResolutionService(java.net.URI[] proxies, java.lang.String providerId, TrustType trustType)`
`ProxyResolutionService(java.net.URI[] proxies, java.lang.String providerID, TrustType trustType, java.lang.Boolean refs, java.lang.Boolean sep)` Constructs a new Proxy Resolution endpoint.
`ProxyResolutionService(java.net.URI proxy, java.lang.String providerId)`
`ProxyResolutionService(java.net.URI proxy, java.lang.String providerId, TrustType trustType)`
`ProxyResolutionService(java.net.URI proxy, java.lang.String providerId, TrustType trustType, java.lang.Boolean refs, java.lang.Boolean sep)`

Method Summary
`static boolean` | `isInstance(Service service)`

Methods inherited from class org.openxri.xml.Service
`addLocalID, addMediaType, addMediaType, addMediaType, addPath, addPath, addPath, addRedirect, addRef, addType, addType, addType, addURI, addURI, addURI, clone, dump, equals, fromDOM, getExtension, getKeyInfo, getLocalIDAt, getMediaType, getMediaTypeAt, getMediaTypes, getNumLocalIDs, getNumMediaTypes, getNumPaths, getNumRedirects, getNumRefs, getNumTypes, getNumURIs, getOtherChildrenVectorMap, getOtherTagValues, getPathAt, getPaths, getPrioritizedRedirects, getPrioritizedRefs, getPrioritizedURIs, getPriority, getProviderId, getRedirectAt, getRedirects, getRefAt, getRefs, getType, getTypeAt, getTypes, getURI, getURIAt, getURIForScheme, getURIs, matchType, reset, setExtension, setKeyInfo, setMediaType, setMediaTypes, setOtherTagValues, setPaths, setPrioritizedURIs, setPriority, setPriority, setProviderId, setType, setTypes, setURIs, toDOM, toDOM, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SERVICE_TYPE

    public static final java.lang.String SERVICE_TYPE

See Also:
  Constant Field Values

### SERVICE_MEDIA_TYPES

    public static final java.lang.String[] SERVICE_MEDIA_TYPES

### TRUST_TYPE_SEPARATOR

    public static final java.lang.String TRUST_TYPE_SEPARATOR

See Also:
  Constant Field Values

### REFS_SEPARATOR

    public static final java.lang.String REFS_SEPARATOR

See Also:
  Constant Field Values

### SEP_SEPARATOR

    public static final java.lang.String SEP_SEPARATOR

See Also:
  Constant Field Values

### URI_PRIORITY_HTTPS

    public static final java.lang.Integer URI_PRIORITY_HTTPS

### URI_PRIORITY_DEFAULT

    public static final java.lang.Integer URI_PRIORITY_DEFAULT

Constructor Detail

### ProxyResolutionService

    public ProxyResolutionService(java.net.URI[] proxies,
                                  java.lang.String providerID,
                                  TrustType trustType,
                                  java.lang.Boolean refs,
                                  java.lang.Boolean sep)

  Constructs a new Proxy Resolution endpoint.

  Parameters:
    `resolvers` - - The URI(s) where the proxy is implemented.
    `providerID` - - The global i-number of the I-Broker providing this Proxy Resolution Service.
    `trustType` - - The Trust Type supported by the proxy
    `refs` - - Whether the proxy supports following references
    `sep` - - Whether the proxy supports service endpoint selection

### ProxyResolutionService

    public ProxyResolutionService(java.net.URI proxy,
                                  java.lang.String providerId,
                                  TrustType trustType,
                                  java.lang.Boolean refs,
                                  java.lang.Boolean sep)

### ProxyResolutionService

    public ProxyResolutionService(java.net.URI[] proxies,
                                  java.lang.String providerId,
                                  TrustType trustType)

### ProxyResolutionService

    public ProxyResolutionService(java.net.URI proxy,
                                  java.lang.String providerId,
                                  TrustType trustType)

### ProxyResolutionService

    public ProxyResolutionService(java.net.URI[] proxies,
                                  java.lang.String providerId)

### ProxyResolutionService

    public ProxyResolutionService(java.net.URI proxy,
                                  java.lang.String providerId)

### ProxyResolutionService

    public ProxyResolutionService(java.net.URI[] proxies)

### ProxyResolutionService

    public ProxyResolutionService(java.net.URI proxy)

Method Detail

### isInstance

    public static boolean isInstance(Service service)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.